import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import { EJ_GRID_COMPONENTS } from './ej/grid.component';
import { EJComponents } from "./ej/core";

@Component({
    selector: 'ej-app',
    templateUrl: 'app/app.component.html',
})
export class AppComponent {

    @ViewChild('grid') grid1: EJComponents<ej.Grid, any>


    dataSouce = [{ name: "Raj", age: 25 }, { name: "Raman", age: 35 }];

    ngAfterViewInit() {

        this.grid1.widget.model.editSettings = { allowAdding: true, allowEditing: true, allowDeleting: true, editMode: 'batch' }; 

        var column: ej.Grid.Column = {

            field: "name",
            headerText: "Name"
        };

        this.grid1.widget.dataSource(this.dataSouce);

        this.grid1.widget.columns([column]);
    }
}