System.register(['./core'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var core_1;
    var Outputs, ComplexProperties, Inputs, AccordionComponent, EJ_ACCORDION_COMPONENTS;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            }],
        execute: function() {
            Outputs = ["activate", "ajaxBeforeLoad", "ajaxError", "ajaxLoad", "ajaxSuccess", "beforeActivate", "beforeInactivate", "create", "destroy", "inActivate"];
            ComplexProperties = ["ajaxSettings", "customIcon"];
            Inputs = core_1.Utils.AngularizeInputs(["ajaxSettings", "allowKeyboardNavigation", "collapseSpeed", "collapsible", "cssClass", "customIcon", "disabledItems", "enableAnimation", "enabled", "enabledItems", "enableMultipleOpen", "enablePersistence", "enableRTL", "events", "expandSpeed", "headerSize", "height", "heightAdjustMode", "htmlAttributes", "selectedItemIndex", "selectedItems", "showCloseButton", "showRoundedCorner", "width", "ajaxSettings.async", "ajaxSettings.cache", "ajaxSettings.contentType", "ajaxSettings.data", "ajaxSettings.dataType", "ajaxSettings.type", "customIcon.header", "customIcon.selectedHeader"], []);
            exports_1("AccordionComponent", AccordionComponent = core_1.CreateComponent("Accordion", {
                selector: 'ej-accordion',
                inputs: Inputs,
                outputs: Outputs,
                template: "<ng-content></ng-content>",
                queries: {}
            }, {
                tags: [],
                twoways: [],
                complexes: ComplexProperties,
            }));
            exports_1("EJ_ACCORDION_COMPONENTS", EJ_ACCORDION_COMPONENTS = [AccordionComponent]);
        }
    }
});
